Skip to main content

Requirements

The requirements to install a DataSpace Node depend significantly on the amount of data being processed. As a standard infrastructure setup, we recommend that you meet the following requirements:

Software Requirements#

  • Any up-to-date Linux distribution
    • Recommended: Ubuntu 18.04 LTS or later
  • Docker and Docker-Compose

Hardware Requirements#

TypeMinimum RequirementRecommend Requirement
CPU2 Cores4 Cores
RAM8 GB RAM16 GB RAM
Storage System10 GB15 GB
Storage Datadepending on use-casen/a

If you have any questions regarding infrastructure requirements, please talk to your contact person at Tributech or send an email to our Customer Advisory Team.